function gph_handle = plot_springs(grid, axish)
if nargin<2
    axish = gca;
end
ct_edge_col = [1 0 0];
ct_face_col = [1 0 0];
ce_edge_col = [0 1 0];
ce_face_col = [0 1 0];

gph_handle = triplot(grid.tri_info.T, grid.tri_info.pts(:,1), grid.tri_info.pts(:,2), 'Parent', axish);
return;
adj_mat = grid.spring.adj_mat;
vert = grid.spring.vert;

%adj_mat = grid.adj_mat;
%vert = grid.vert;

gph_handle = plot_adj_graph(adj_mat, vert, axish);
gph_handle = cat(2, gph_handle, plot(axish, vert(:,1), vert(:,2), 'o', 'MarkerEdgeColor', ce_edge_col, 'MarkerFaceColor', ce_face_col));

%ctrl_pts = grid.vert(1:grid.num_ctrl_pts,:);
%centroids = grid.vert(grid.num_ctrl_pts+1:end,:);

%gph_handle = cat(2, gph_handle, plot(axish, ctrl_pts(:,1), ctrl_pts(:,2), 'd', 'MarkerEdgeColor', ct_edge_col, 'MarkerFaceColor', ct_face_col));
%gph_handle = cat(2, gph_handle, plot(axish, centroids(:,1), centroids(:,2), 'o', 'MarkerEdgeColor', ce_edge_col, 'MarkerFaceColor', ce_face_col));

%axis(axish, 'image');
